Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mindswap.pellet.jena
Class JenaUtils

    java.lang.Object
      org.mindswap.pellet.jena.JenaUtils

    public class JenaUtils

extends java.lang.Object

Utility functions related to Jena structures. The functions here may have similar functionality to the ones in ATermUtils but they are provided here because ATermUtils is supposed to be library-independent (it should NOT import Jena packages otherwise applications based on OWL-API would require Jena packages)

Author:
  Evren Sirin

Constructor Summary
`JenaUtils()`

Method Summary
`static com.hp.hpl.jena.graph.Node` | `makeGraphLiteral(aterm.ATermAppl literal)`
`static com.hp.hpl.jena.graph.Node` | `makeGraphNode(aterm.ATermAppl value)`
`static com.hp.hpl.jena.graph.Node` | `makeGraphResource(aterm.ATermAppl term)`
`static com.hp.hpl.jena.rdf.model.Literal` | `makeLiteral(aterm.ATermAppl literal, com.hp.hpl.jena.rdf.model.Model model)`
`static aterm.ATermAppl` | `makeLiteral(com.hp.hpl.jena.graph.impl.LiteralLabel jenaLiteral)`
`static com.hp.hpl.jena.rdf.model.Property` | `makeProperty(aterm.ATermAppl term, com.hp.hpl.jena.rdf.model.Model model)`
`static QNameProvider` | `makeQNameProvider(com.hp.hpl.jena.shared.PrefixMapping mapping)`
`static com.hp.hpl.jena.rdf.model.RDFNode` | `makeRDFNode(aterm.ATermAppl term, com.hp.hpl.jena.rdf.model.Model model)`
`static com.hp.hpl.jena.rdf.model.Resource` | `makeResource(aterm.ATermAppl term, com.hp.hpl.jena.rdf.model.Model model)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JenaUtils

    public JenaUtils()

Method Detail

### makeLiteral

    public static aterm.ATermAppl makeLiteral(com.hp.hpl.jena.graph.impl.LiteralLabel jenaLiteral)

### makeGraphLiteral

    public static com.hp.hpl.jena.graph.Node makeGraphLiteral(aterm.ATermAppl literal)

### makeGraphResource

    public static com.hp.hpl.jena.graph.Node makeGraphResource(aterm.ATermAppl term)

### makeGraphNode

    public static com.hp.hpl.jena.graph.Node makeGraphNode(aterm.ATermAppl value)

### makeLiteral

    public static com.hp.hpl.jena.rdf.model.Literal makeLiteral(aterm.ATermAppl literal,
                                                                com.hp.hpl.jena.rdf.model.Model model)

### makeResource

    public static com.hp.hpl.jena.rdf.model.Resource makeResource(aterm.ATermAppl term,
                                                                  com.hp.hpl.jena.rdf.model.Model model)

### makeProperty

    public static com.hp.hpl.jena.rdf.model.Property makeProperty(aterm.ATermAppl term,
                                                                  com.hp.hpl.jena.rdf.model.Model model)

### makeRDFNode

    public static com.hp.hpl.jena.rdf.model.RDFNode makeRDFNode(aterm.ATermAppl term,
                                                                com.hp.hpl.jena.rdf.model.Model model)

### makeQNameProvider

    public static QNameProvider makeQNameProvider(com.hp.hpl.jena.shared.PrefixMapping mapping)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Evren Sirin. All Rights Reserved.